POST api/Insured/InsuredCustomFields
Insured Custom fields list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"fd8acc95-17dd-40a8-b8ae-f20f7c93e190",
"d6b28397-d88a-4709-b0ec-b98227f1defd"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>fd8acc95-17dd-40a8-b8ae-f20f7c93e190</d2p1:guid>
<d2p1:guid>d6b28397-d88a-4709-b0ec-b98227f1defd</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredCustomField list against given insured database Ids.
InsuredCustomField| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Order | integer |
None. |
|
| Text | string |
None. |
|
| Value | string |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| InsuredCommercialName | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "0c1a6875-3acf-4409-9e18-578cb7491593",
"order": 2,
"text": "sample string 3",
"value": "sample string 4",
"createDate": "2026-10-09T01:44:38.4422114-05:00",
"changeDate": "2026-10-09T01:44:38.4422114-05:00",
"insuredDatabaseId": "cc05b5cd-462b-430d-ae96-17f5edb264fa",
"insuredEmail": "sample string 8",
"insuredFirstName": "sample string 9",
"insuredLastName": "sample string 10",
"insuredCommercialName": "sample string 11"
}
application/xml, text/xml
Sample:
<InsuredCustomField xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <ChangeDate>2026-10-09T01:44:38.4422114-05:00</ChangeDate> <CreateDate>2026-10-09T01:44:38.4422114-05:00</CreateDate> <DatabaseId>0c1a6875-3acf-4409-9e18-578cb7491593</DatabaseId> <InsuredCommercialName>sample string 11</InsuredCommercialName> <InsuredDatabaseId>cc05b5cd-462b-430d-ae96-17f5edb264fa</InsuredDatabaseId> <InsuredEmail>sample string 8</InsuredEmail> <InsuredFirstName>sample string 9</InsuredFirstName> <InsuredLastName>sample string 10</InsuredLastName> <Order>2</Order> <Text>sample string 3</Text> <Value>sample string 4</Value> </InsuredCustomField>